Main Stories
Slash Boxes

Slash Open Source Project

Slashcode Log In

Log In

[ Create a new account ]

Article Poll

Poll I found this article to be
Very Helpful
Helpful
Not Helpful
Not Very Helpful
[ Results | Polls ]
Comments:0 | Votes:0

Template unavailable on CPAN

posted by Krow on 07:52 AM January 31st, 2002   Printer-friendly   Email story

I'm finally working on getting my slash site up and running again, and have started mucking through the instructions. I'm stuck on installing Bundle::Slash.

=========================
Bundle summary: The following items seem to have had installation problems:
Bundle::LWP J/JW/JWIED/Msql-Mysql-modules-1.2216.tar.gz DBIx::Password Apache::Cookie Template
=========================

The above error ends my install Bundle::Slash. Taking things one step at a time, I looked at Template. Its error output was still on screen, saying that Template was unavailable on CPAN. Investigation showed the Template entry suggesting to contact the author. The author's webpage says Template is replaced with Template-Toolkit.

The rest of the above I have yet to figure out, as of yet, but the Template issue is worth raising.

Still no answers on the rest (with a lot of digging through the site, searching for answers), but I'm still working on it.

This discussion has been archived. No new comments can be posted.
The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login
Loading... please wait.
  • by Anonymous Coward
    Various bits of CPAN are currently broken. They are in the process of getting fixed, but for now you can download the modules by hand from search.cpan.org [cpan.org], or you could use the TT homepage [template-toolkit.org]. HTH, acme.
  • I can't connect to the internet from my Linux box (I'm just trying to run slash for development) so I can't run bundle-slash. I've manually downloaded all of the modules except a few I can't find. Some of those already were in my perl setup, but what I'm confused about is XML::Parse and XML::RSS. Those are supposed to be in expat or something like that, but after installing it and installing slash, I get an error when starting apache saying "error finding XML/RSS.pm"

    Can anyone offer any advice here?
    --

    ~~~~~~~~~~~~~~~~~~~
    EDUSlash - We put the EDU in .EDU [eduslash.com]